package de.intevation.flys.artifacts.model;

import java.util.List;

import de.intevation.artifacts.CallContext;

import de.intevation.artifactdatabase.state.Facet;


public interface ComputeCallback {

    public enum ComputeType {
        FEED, ADVANCE
    }

    Object computeAdvance(CallContext context, List<Facet> facets);

    Object computeFeed(CallContext context, List<Facet> facets);
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
